| AI Engine API User Guide (AIE-API) 2026.1

Loading...
Searching...
No Matches
aie::unary_op_common_const< Parent, Op > Struct Template Reference

`#include <expr.hpp>`

## Public Types
using | parent1_type = aie_dm_resource_remove_t<Parent>
using | result_type = op_result_type_t<parent1_type, Op>
using | value_type = op_value_type_t<result_type>

## Public Member Functions
constexpr | unary_op_common_const (const parent1_type parent1)
auto | parent1 () const

## Static Public Member Functions
static constexpr unsigned | bits ()
template<typename... Operations> requires (... && std::is_same_v<Operations, Operation>)
static constexpr bool | is_operation (Operation op, Operations... ops)
static constexpr bool | is_operation_none ()
template<typename... Operations> requires (... && std::is_same_v<Operations, Operation>)
static constexpr bool | is_operation_not (Operation op, Operations... ops)
static constexpr unsigned | size ()

## Static Public Attributes
static constexpr Operation | operation = Op

## Member Typedef Documentation

## ◆ parent1_type

template<typename Parent, Operation Op>

using aie::unary_op_common_const< Parent, Op >::parent1_type = aie_dm_resource_remove_t<Parent>

## ◆ result_type

template<typename Parent, Operation Op>

using aie::unary_op_common< Parent, Op >::result_type = op_result_type_t<parent1_type, Op>
| inherited

## ◆ value_type

template<typename Parent, Operation Op>

using aie::unary_op_common< Parent, Op >::value_type = op_value_type_t<result_type>
| inherited

## Constructor & Destructor Documentation

## ◆ unary_op_common_const()

template<typename Parent, Operation Op>

aie::unary_op_common_const< Parent, Op >::unary_op_common_const | ( | const parent1_type | parent1 | ) |
| inline constexpr

## Member Function Documentation

## ◆ bits()

template<typename Parent, Operation Op>

constexpr unsigned aie::unary_op_common< Parent, Op >::bits | ( |  | ) |
| inline static constexpr inherited

## ◆ is_operation()

template<typename Parent, Operation Op>
template<typename... Operations>
requires (... && std::is_same_v<Operations, Operation>)

constexpr bool aie::unary_op_common< Parent, Op >::is_operation | ( | Operation | op,
|  | Operations... | ops )
| inline static constexpr inherited

## ◆ is_operation_none()

template<typename Parent, Operation Op>

constexpr bool aie::unary_op_common< Parent, Op >::is_operation_none | ( |  | ) |
| inline static constexpr inherited

## ◆ is_operation_not()

template<typename Parent, Operation Op>
template<typename... Operations>
requires (... && std::is_same_v<Operations, Operation>)

constexpr bool aie::unary_op_common< Parent, Op >::is_operation_not | ( | Operation | op,
|  | Operations... | ops )
| inline static constexpr inherited

## ◆ parent1()

template<typename Parent, Operation Op>

auto aie::unary_op_common_const< Parent, Op >::parent1 | ( |  | ) | const
| inline

## ◆ size()

template<typename Parent, Operation Op>

constexpr unsigned aie::unary_op_common< Parent, Op >::size | ( |  | ) |
| inline static constexpr inherited

## Member Data Documentation

## ◆ operation

template<typename Parent, Operation Op>

Operation aie::unary_op_common< Parent, Op >::operation = Op
| static constexpr inherited

The documentation for this struct was generated from the following file:

- expr.hpp